<?php

namespace Drupal\user_referral\Element;

use Drupal\core\Render\Element\RenderElement;

/**
 * Provides a render element for a referral link.
 *
 * @RenderElement("referral_link")
 */
class ReferralLink extends RenderElement {

  /**
   * {@inheritdoc}
   */
  public function getInfo() {
    $class = get_class($this);
    return [
      '#referral_link' => NULL,
      '#referral_type' => NULL,
      '#account' => NULL,
      '#theme' => 'user_referral_link',
    ];
  }

}
